Package ru.bitel.bgbilling.kernel.contract.balance.server.event

# Class PaymentDeletedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.contract.balance.server.event.PaymentDeletedEvent

All Implemented Interfaces:
  `Serializable`

public class PaymentDeletedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие, генерируемое системой после удаления платежа.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PaymentDeletedEvent()`
  ``
  `PaymentDeletedEvent(int userId, Payment payment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Payment`
  `getPayment()`
  Возвращает объект с данными платежа.
  `int`
  `getPaymentId()`
  Deprecated.
  использовать getPayment()

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PaymentDeletedEvent

    protected PaymentDeletedEvent()

  - ### PaymentDeletedEvent

    public PaymentDeletedEvent(int userId, Payment payment)

- ## Method Details

  - ### getPaymentId

    @Deprecated public int getPaymentId()
    Deprecated.
    использовать getPayment()
    Возвращает код удаленного платежа
    Returns:
      код

  - ### getPayment

    public Payment getPayment()
    Возвращает объект с данными платежа.
    Returns: